@import '../../assets/styles/common';

.adminDashboard {
  padding:2rem 3rem;

  .tabs {
    span {
      font-size: 1.8rem;
      color: $white;
    }
  }

  .table-pagination {
    svg {
      fill: $gray;
    }

    span, div {
      font-size: 2rem;
      color: $gray;
    }
  }

  .table {
    table-layout: fixed;

    .th {
      color:$gray;
    }

    .td {
      color:$black;
    }

    .th, .td {
      padding: .4rem 2.2rem .4rem 1.7rem;
      line-height: 2.4rem;
      font-weight: 300;
      font-size: 1.8rem;
      word-wrap: break-word;
      overflow-wrap: break-word;
      -webkit-hyphens: auto;
      -moz-hyphens: auto;
      hyphens: auto;

      &.table-col-0, &.table-col-2, &.table-col-3 {
        width: 16%;
      }

      &.table-col-1, &.table-col-4 {
        width: 26%;
      }
    }
  }

  .table-th {
    svg {
      fill: $gray;
    }

    span {
      color: $gray;
    }
  }

  .table-cell {
    flex:1;
    width: 20%;
    cursor: pointer;

    span {
      width: calc(100% - 50px);
      word-wrap: break-word;
      overflow-wrap: break-word;
      -webkit-hyphens: auto;
      -moz-hyphens: auto;
      hyphens: auto;
    }

    .username-text {
      color: $black;
    }
  }

  @media only screen and (max-width: 1400px) {
    .tabs span, .table-pagination span, .table-pagination div {
      font-size: 1.5rem;
    }

    .table .th, .table .td {
      line-height: 2.3rem;
      font-size: 1.7rem;
    }
  }
}

.primary-modal {
  position: absolute;
  width:60rem;
  padding: 3.4rem;
  border-radius: 5px;
  background-color: $white;
  outline: none;

  .avatar__wrapper {
    position: relative;
    width: 13rem;
    height: 13rem;

    .avatar__frame, .avatar__img {
      position: absolute;
      top:0;
      left:0;
      width: 100%;
    }

    .avatar__frame {
      z-index: 111;
    }

    .avatar__img {
      top:6px;
      left:7px;
      width: calc(100% - 15px);
      height: calc(100% - 15px);
      margin-top: 0;
      margin-left: 0;
      border-radius: 50%;
    }
  }

  .user-type {
    width: 5rem;
    padding: .3rem .7rem;
    border-radius: 12px;
    font-size: 1.4rem;
    color: $black;
    text-align: center;
    text-transform: capitalize;
    background-color: $eggshell;
  }

  &-user__name {
    line-height: 3rem;
    font-size: 2.5rem;
    color:$black;
  }

  &-user__email {
    color:$gray-lighter;
  }

  &__title {
    font-size: 2.5rem;
    color:$black;
    text-transform: uppercase;
  }

  .muted-text {
    color: $white;
  }

  @media only screen and (max-width: 1400px) {
    width: 50rem;

    &__title {
      font-size: 2rem;
    }

    .user-type {
      font-size: 1.3rem;
    }

    &-user__name {
      line-height: 2.5rem;
      font-size: 2rem;
    }

    .avatar__wrapper {
      .avatar__img {
        top:7px;
      }
    }
  }
}
